HP Views Designer Assistant: Editor Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
Editor Class Reference

The Editor class. Creates app inteface models by QML files. More...

`#include <editor.h>`

## Static Public Member Functions

static Interfaz * | edit (QString file)
| edit Constructs an interface model by the path of QML file. More...
static int | getType ()
| getType Returns the interface type. More...
static QStringList * | getErrorList ()
| getErrorList Returns the list errors of the last operation. More...

## Static Private Member Functions

static Interfaz * | edit (QObject *interfaz)
| edit Constructs an interface model by the object of QML file. More...
static int | getType (QObject *myobject)
| getType Obtains the type of the QML interface represented by myobject More...
static void | getBackground (Interfaz *interfaz, QQuickItem *objectLoaded)
| getBackground Obtains background options of the interface. More...
static void | ink (Interfaz *interfaz, QQuickItem *ink)
| ink Contructs an ink interface by the ink item. More...
static void | menu (Interfaz *interfaz, QQuickItem *menu)
| menu Contructs an menu interface by the menu item. More...
static void | information (Interfaz *interfaz, QQuickItem *information)
| information Contructs an information interface by the information item. More...
static bool | fileExist (const QString path)
| fileExist Checks if the file exist in the system. More...

## Static Private Attributes

static QStringList * | errorList
| errorList Errors found during the process.
static int | type
| type Type of the interface.

## Detailed Description

The Editor class. Creates app inteface models by QML files.

## Member Function Documentation

## ◆ edit() [1/2]

Interfaz * Editor::edit | ( | QString | file | ) |

static

edit Constructs an interface model by the path of QML file.

Parameters

  interfaz | QML file path which contains the interface.

Returns
  The created interface if the data was right, nullptr otherwise.

## ◆ edit() [2/2]

Interfaz * Editor::edit | ( | QObject * | interfaz | ) |

staticprivate

edit Constructs an interface model by the object of QML file.

Parameters

  interfaz | Object represents the file QML who contains the interfaz.

Returns
  The created interface if the data was right, nullptr otherwise.

## ◆ fileExist()

bool Editor::fileExist | ( | const QString | path | ) |

staticprivate

fileExist Checks if the file exist in the system.

Parameters

  path | To be checked.

Returns
  `True` if the file exist in the system, `false` otherwise.

## ◆ getBackground()

void Editor::getBackground | ( | Interfaz * | interfaz,
|  | QQuickItem * | objectLoaded
| ) |  |

staticprivate

getBackground Obtains background options of the interface.

Parameters

  interfaz | Interface to set the background option.
  objectLoaded | Item which represents the QML file.

## ◆ getErrorList()

QStringList * Editor::getErrorList | ( |  | ) |

static

getErrorList Returns the list errors of the last operation.

Returns
  Error list.

## ◆ getType() [1/2]

int Editor::getType | ( |  | ) |

static

getType Returns the interface type.

Returns
  Type of the interface.

## ◆ getType() [2/2]

int Editor::getType | ( | QObject * | myobject | ) |

staticprivate

getType Obtains the type of the QML interface represented by myobject

Parameters

  myobject | Object of the QML file.

Returns
  Type of the interface.

## ◆ information()

void Editor::information | ( | Interfaz * | interfaz,
|  | QQuickItem * | information
| ) |  |

staticprivate

information Contructs an information interface by the information item.

Parameters

  interfazInterface | to set information screen values.
  information | Item which represents the QML file.

## ◆ ink()

void Editor::ink | ( | Interfaz * | interfaz,
|  | QQuickItem * | ink
| ) |  |

staticprivate

ink Contructs an ink interface by the ink item.

Parameters

  interfaz | Interface to set ink screen values.
  ink | Item which represents the QML file.

## ◆ menu()

void Editor::menu | ( | Interfaz * | interfaz,
|  | QQuickItem * | menu
| ) |  |

staticprivate

menu Contructs an menu interface by the menu item.

Parameters

  interfaz | Interface to set information screen values.
  menu | Item which represents the QML file.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Services/editor.h
- D:/Documentos/ViewDesignerAssistant/Services/editor.cpp